SDL_x11shape.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_video.h"`
`#include "SDL_shape.h"`
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_x11shape.h:

Go to the source code of this file.

## Data Structures

struct | SDL_ShapeData

## Functions

SDL_Window * | X11_CreateShapedWindow (const char *title, unsigned int x, unsigned int y, unsigned int w, unsigned int h, Uint32 flags)
SDL_WindowShaper * | X11_CreateShaper (SDL_Window *window)
int | X11_ResizeWindowShape (SDL_Window *window)
int | X11_SetWindowShape (SDL_WindowShaper *shaper, SDL_Surface *shape, SDL_WindowShapeMode *shapeMode)

## Function Documentation

SDL_Window* X11_CreateShapedWindow | ( | const char * | title,
|  | unsigned int | x,
|  | unsigned int | y,
|  | unsigned int | w,
|  | unsigned int | h,
|  | Uint32 | flags
| ) |  |

SDL_WindowShaper* X11_CreateShaper | ( | SDL_Window * | window | ) |

int X11_ResizeWindowShape | ( | SDL_Window * | window | ) |

int X11_SetWindowShape | ( | SDL_WindowShaper * | shaper,
|  | SDL_Surface * | shape,
|  | SDL_WindowShapeMode * | shapeMode
| ) |  |